%define prodname UniFi
%define __jar_repack %{nil}

Name:           %{prodname}-Controller
Version:        5.6.30
Release:        1%{?dist}
Summary:        This is UniFi build for Linux/Unix-like system
Group:          Applications/System
License:        GPLv2
Vendor:         Ubiquiti Networks
URL:            https://www.ubnt.com/download/unifi
Source0:        http://dl.ubnt.com/unifi/%{version}/%{prodname}.unix.zip
Source1:        %{name}.service

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:      mongodb-server, java >= 1:1.8.0

%description
You must download and install the UniFi v4.7.6+ Controller software in order to
adopt the UniFi AP AC LITE, UniFi AP AC LR, UniFi AP AC PRO or UniFi AP AC EDU.

%prep
%setup -q -c

#%build
 
%install
rm -rf $RPM_BUILD_ROOT

# Install app code
install -dm 755 $RPM_BUILD_ROOT%{_localstatedir}/www/%{prodname}
cp -rp %{prodname}/* $RPM_BUILD_ROOT%{_localstatedir}/www/%{prodname}/
# Install SystemD service
install -dm 755 $RPM_BUILD_ROOT%{_usr}/lib/systemd/system
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_usr}/lib/systemd/system

%clean
rm -rf $RPM_BUILD_ROOT

%post
systemctl daemon-reload
#systemctl enable %{name}.service

%preun
#systemctl disable %{name}.service
systemctl daemon-reload

%files
%defattr(-,root,root,-)
# app code
%{_localstatedir}/www/%{prodname}/
# For SystemD service
%{_usr}/lib/systemd/system/*

%changelog
* Sat Nov 18 2017 DonPool <pbernal@ecualinux.com> - 5.6.30-1
- Update to 5.6.22

* Fri Oct 20 2017 DonPool <pbernal@ecualinux.com> - 5.5.24-1
- Update to 5.5.24

* Tue Feb 14 2017 DonPool <pbernal@ecualinux.com> - 5.4.11-1
- Update to 5.4.11

* Mon Jan 02 2017 DonPool <pbernal@ecualinux.com> - 5.3.8-1
- Update to 5.3.8

* Wed Nov 02 2016 DonPool <pbernal@ecualinux.com> - 5.2.9-1
- Update to 5.2.9

* Tue Sep 27 2016 DonPool <pbernal@ecualinux.com> - 5.2.7-1
- Update to 5.2.7

* Sun Jul 10 2016 DonPool <pbernal@ecualinux.com> - 5.0.7-1
- Update to 5.0.7

* Tue Jun 14 2016 DonPool <pbernal@ecualinux.com> - 5.0.6-1
- Update to 5.0.6

* Fri May 13 2016 DonPool <pbernal@ecualinux.com> - 4.8.18-1
- Update to 4.8.18

* Thu May 12 2016 DonPool <pbernal@ecualinux.com> - 4.8.15-1
- Setup for f23

